#!/usr/bin/env bash

function bd_check_halt() {
    write_file ${split_line}
    write_file "[ check halt ]"

    command -v halt 1>/dev/null 2>&1
    if [ -f /sys/firmware/efi ] && [ $? -ne 0 ]; then
        write_file "\tWARNING: please make sure the halt command exists on your systemn."
        write_file "\tWARNING: 'halt+fake S5' to prevent power failure of the smart card."
        return ${RETURN_WARNING}
    fi
    return ${RETURN_SUCCESS}
}