#!/usr/bin/env bash

s_grub_file="s_grub_file_nullptr"
s_efi_grub="s_efi_grub_nullptr"
if [ -e "/boot/grub2/grub.cfg" ]; then
    s_grub_file="/boot/grub2/grub.cfg"
elif [ -e "/boot/grub/grub.cfg" ]; then
    s_grub_file="/boot/grub/grub.cfg"
elif [ -e "/boot/grub/grub.conf" ]; then
    s_grub_file="/boot/grub/grub.conf"
elif [ -e "/boot/grub/menu.lst" ]; then
    s_grub_file="/boot/grub/menu.lst"
fi

if ls /boot/efi/EFI/*/grub.cfg 2>/dev/null; then
     s_efi_grub="/boot/efi/EFI/*/grub.cfg"
fi

export s_grub_file
export s_efi_grub