#!/usr/bin/env bash

function bd_check_port_status(){
    write_file ${split_line}
    write_file "[ check port status ]"

    ret=0
    if [ -f /etc/ssh/sshd_config ]; then
        cat /etc/ssh/sshd_config | grep -v "#" | grep -qE "Port +22"
        if [ $? -ne 0 ]; then ret=1; fi
    fi

    if [ -f /proc/net/tcp ]; then
        cat /proc/net/tcp | awk '{print $2}' | grep -q ':0016'
        if [ $? -eq 0 ]; then ret=0; fi
    fi

    if [ "${ret}" -eq 0 ]; then 
        return ${RETURN_SUCCESS}
    else
        write_file "\tWARNING: please confirm prot 22 is open."
        return ${RETURN_WARNING}
    fi
}