#!/usr/bin/env bash

function bd_check_selinux(){
    write_file ${split_line}
    write_file "[ check selinux ]"
    
    if [ -e /etc/selinux/config ]; then
        grep -v "#" "/etc/selinux/config" | grep -v "^;"| grep -v "^$" | grep -iq "selinux=enforcing"
        if [ $? -eq 0 ]; then
            write_file "\tWARNING: in /etc/selinux/config, SELINUX=enforcing."
            write_file "\tWARNING: we recommend disabling SELinux on your system."
            return ${RETURN_WARNING}
        else
            return ${RETURN_SUCCESS}
        fi
    else
        return ${RETURN_SUCCESS}
    fi
}