# image-import
System check tool before image import

## Usage
Download the corresponding script according to your operating system,<br>

1. \# cd bd_diagnosis
1. \# chmod +x main
2. \# ./main

## Check result example

```
-------------------------------------------------------
OS: Rocky 9.3
Arch: x86_64
Kernel: 5.14.0-362.24.1.el9_3.0.1.x86_64
BootMode: BIOS(Legacy)
RTC-Mode: utc
-------------------------------------------------------
[ check virtio driver ]                      [ OK ] 
[ check cloud-init ]                         [ OK ] 
[ check fstab config ]                       [CRITICAL] 
[ check grub ]                               [ OK ] 
[ check sshd service ]                       [ OK ] 
[ check root ]                               [ OK ] 
[ check passwd command ]                     [ OK ] 
[ check dhcp ]                               [ OK ] 
[ check disk size ]                          [ OK ] 
[ check disk partition ]                     [ OK ] 
[ check file system type ]                   [WARNING] 
[ check selinux ]                            [ OK ] 
[ check firewall ]                           [ OK ] 
[ check LVM ]                                [ OK ] 
[ check disk uuid ]                          [CRITICAL] 
[ check mlx5 driver ]                        [ OK ] 
[ check nvme driver ]                        [WARNING] 
[ check kernel config ]                      [WARNING] 
[ check halt ]                               [ OK ] 
[ check ssh port ]                           [ OK ] 
[ check online resize fs ]                   [ OK ] 
[ check graphic ]                            [ OK ] 
[ check bsm agent ]                          [ OK ] 
[ check bcm agent ]                          [ OK ] 
[ check has agent ]                          [WARNING] 
[ check hosteye ]                            [ OK ] 
-------------------------------------------------------
There are 4 warning(s), 2 critical(s).
The reslult file is: Rocky_dignosis_result_20250114165101.txt
Please check result file for the critical/warning information.
-------------------------------------------------------
```
If errors and warnings appear in the check results,<br>
you should review the result file for details of these errors and warnings.

**Notice:** You need to run the detection script as root.
